<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Купить Дом'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){



$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'<img src="img/bk.png" alt="+"> Деньги: <font color="red">'.$user['gorod_money'].'$</font><br/>
<img src="img/inf.png" alt="+"> Опыт: <font color="red">'.$user['gorod_opit'].'</font><br/>
<img src="img/zd.png" alt="+"> Здоровье: <font color="red">'.$user['gorod_life'].'%</font><div class="menu_razd">В продаже</div>';



$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_dom`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет домов!';break;};

$q=mysql_query("SELECT * FROM `gorod_dom` ORDER BY `price` ASC LIMIT $start, $onpage");


while($row=mysql_fetch_assoc($q)){
echo '<img src="dom/'.$row['path'].'" alt=""/><br/>';
echo'<img src="img/inf.png" alt="+">  '.$row['name'].'<br/>';
echo'<img src="img/inf.png" alt="+"> Цена: '.$row['price'].'$<br/>';
echo'<img src="img/ok.png" alt="+"> <a href="home.php?action=buy&amp;id='.$row['id'].'">Купить дом</a><br/>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$isdom=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='dom' AND `uid`='".$user['id']."'");
if(mysql_num_rows($isdom)>0){echo 'У тебя уже есть дом! Сначала продай старый!';break;};
$x=mysql_query("SELECT * FROM `gorod_dom` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого дома не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeт мoнeт, чтoбы кyпить этот дом. Пpиxoди, кoгдa paзбoгaтeeшь.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','".$x['name']."','dom','".$x['price']."')");
mysql_query("UPDATE `user` SET `gorod_opit`=`gorod_opit`+'10' WHERE `id`='".$user['id']."'");
echo '<img src="img/inf.png" alt="+"> Kyплeнo! Teпepь твoй дом: '.$x['name'].'<br/>';
echo'<img src="img/inf.png" alt="+"> Опыт: <b><font color="red">+10</font></b><br/>';

};
break;









};
echo '<div class="foot"><a href="index.php">В меню игры</a></div>';
}else{echo '<div class="msg">Mafia Wars закрыта администратором!</div>';};

}else{
echo '<div class="msg">Mafia Wars доступна только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>